Bug 1110245 - Use python2 in shebang for python scripts
Summary: Use python2 in shebang for python scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-17 09:41 UTC by Jakub Hrozek
Modified: 2020-05-02 17:43 UTC (History)
6 users (show)

Fixed In Version: sssd-1.12.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 10:28:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3398 None None None 2020-05-02 17:43:44 UTC
Red Hat Product Errata RHBA-2015:0441 normal SHIPPED_LIVE sssd bug fix and enhancement update 2015-03-05 15:05:27 UTC

Description Jakub Hrozek 2014-06-17 09:41:49 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2356

A user reported problem with the sss_obfuscate script on sssd-users mailing                             
list[1]. The problem was that default version of python was not python 2.x.                             
                                                                                                        
We have a ticket fot python 3 support #2017                         
Meanwhile, we should have python2 in shebang.

[1] https://lists.fedorahosted.org/pipermail/sssd-users/2014-June/001789.html

Comment 1 Jakub Hrozek 2014-06-18 12:50:59 UTC
master: 73b68aa708e1ffa0e0ab5b021fa93ff3a0f484b1

Comment 3 Kaushik Banerjee 2015-01-05 11:02:17 UTC
Verified in version sssd-1.12.2-39.el7

head -1 /usr/sbin/sss_obfuscate
#!/usr/bin/python2

Comment 5 errata-xmlrpc 2015-03-05 10:28:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0441.html


Note You need to log in before you can comment on or make changes to this bug.